Bug 1331001

Summary: Hostname with IPv6 address returning status code 400 BAD request
Product: [Fedora] Fedora Reporter: Jiri Konecny <jkonecny>
Component: python-urllib3Assignee: Fedora Infrastructure SIG <infra-sig>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 24CC: infra-sig, rbean, sagarun
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: python-urllib3-1.15.1-1.fc23 python-urllib3-1.15.1-1.fc24 python-urllib3-1.15.1-1.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-06 19:24:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
reproducer.py none

Description Jiri Konecny 2016-04-27 12:30:17 UTC
Created attachment 1151358 [details]
reproducer.py

Description of problem:
HTTP request GET on hostname in format http://[2620:0::1]/rawhide/.treeinfo is failing with return code 400 BAD REQUEST. WGET and CURL working without problems.
It's working properly with IPv4 too.

As a side effect this is also breaking python-requests package.


Version-Release number of selected component (if applicable):
python3-urllib3-1.13.1-3

How reproducible:
Always

Steps to Reproduce:
You can use my small reproducer.

Actual results:
Returning 400 BAD REQUEST.

Expected results:
We should get data from a server.

Additional info:
I'm attaching the minimal reproducer.

Comment 1 Fedora Update System 2016-05-03 17:41:39 UTC
python-pysocks-1.5.6-2.fc24 python-requests-2.10.0-1.fc24 python-urllib3-1.15.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5fd6be4390

Comment 2 Fedora Update System 2016-05-03 17:42:23 UTC
python-pysocks-1.5.6-2.fc23 python-requests-2.10.0-1.fc23 python-urllib3-1.15.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9b61b26d3

Comment 3 Fedora Update System 2016-05-03 17:43:27 UTC
python-pysocks-1.5.6-2.fc22 python-requests-2.10.0-1.fc22 python-urllib3-1.15.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e7a7d75b

Comment 4 Fedora Update System 2016-05-04 06:53:07 UTC
python-pysocks-1.5.6-2.fc22, python-requests-2.10.0-1.fc22, python-urllib3-1.15.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e7a7d75b

Comment 5 Fedora Update System 2016-05-04 07:25:27 UTC
python-pysocks-1.5.6-2.fc23, python-requests-2.10.0-1.fc23, python-urllib3-1.15.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9b61b26d3

Comment 6 Fedora Update System 2016-05-04 14:30:00 UTC
python-pysocks-1.5.6-2.fc24, python-requests-2.10.0-1.fc24, python-urllib3-1.15.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5fd6be4390

Comment 7 Fedora Update System 2016-05-06 19:23:51 UTC
python-pysocks-1.5.6-2.fc23, python-requests-2.10.0-1.fc23, python-urllib3-1.15.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-05-07 11:39:17 UTC
python-pysocks-1.5.6-2.fc24, python-requests-2.10.0-1.fc24, python-urllib3-1.15.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-05-16 22:25:22 UTC
python-pysocks-1.5.6-2.fc22, python-requests-2.10.0-1.fc22, python-urllib3-1.15.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.